• This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn more.

Anyone able to install XenForo on Powweb?

BirdOPrey5

Well-known member
#1
The test script passes, says all is OK but when I go to run the install I get the following error and I've tried it on multiple powweb servers:

The server encountered an unexpected condition which prevented it from fulfilling the request.
The script had an error or it did not produce any output. If there was an error, you should be able to see it in the error log.

Of course I don't have access to the error log apparently.
 

BirdOPrey5

Well-known member
#6
yes the .htaccess file is there. I decompressed the archive right on the sever so all files are in the right place, and I just double checked by FTP the .htaccess file is there.
 

Erik

Well-known member
#7
You are probably going to have to contact their support in this case to find out what is actually going wrong. :)
 

BirdOPrey5

Well-known member
#13
The only server I have access too is PowWeb and it always fails the upload -- never got past that. Localhost FTW.
I don't bother trying to upload every individual file. it would take an hour even on a fast connection by nature of FTP... I upload a .zip file and extract it right from the "archive gateway" in the Ops Control Panel- much quicker, less chance for error.

Still doesn't work with Beta 5 BTW...
 

BirdOPrey5

Well-known member
#14
This is really getting annoying... I just re-downloaded and re-ran the requirements script and again it told be powweb passed the minimum requirements test. Also I have confirmed they use MySQL 5.0+

But when trying to install the release candidate 1 I immediately (simply by loading install page) get the error:
Code:
The server encountered an unexpected condition which prevented it from fulfilling the request.
The script had an error or it did not produce any output. If there was an error, you should be able to see it in the error log.
Apparently I don't have access to the error log.
 

BirdOPrey5

Well-known member
#16
Hey Mike... I just noticed the PHP version on Powweb in 5.2.2 but the XF Minimum says 5.2.4... I didn't check this at first because I figured the test script would have reported if this was a problem.
 

Mike

XenForo developer
Staff member
#17
The server actually has 5.2.12, which is fine.

This issue was caused by Powweb blocking script execution within directories that are group (or, presumably, world) writable. I chmodded the install directory back to 0755 and the installer loaded.
 

BirdOPrey5

Well-known member
#19
FYI I was able to complete the install successfully. One thing to look out for if using powweb is that the mysql server is not localhost. It's your (Powweb Ops Username).powwebmysql.com such as:
example.powwebmysql.com